Get started

Hardware

List physical disks and network interfaces across all registered nodes.


List Disks

GET /disks

Returns all disks with their Ceph state — whether the disk is being used as an OSD, monitor, or has an existing filesystem.

Response fields

id UUID
Disk identifier
nodeId UUID
Owning node ID
nodeHostname string
Node hostname
devicePath string
Device path (e.g. /dev/sda)
capacity int
Capacity in GB
interface string
Disk interface type (e.g. sata, nvme)
model string
Drive model
vendor string
Drive vendor
serial string
Serial number
isOsd bool
Used as a Ceph OSD
isMon bool
Used for a Ceph Monitor
hasFilesystem bool
Has an existing filesystem
Response
[
  {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "nodeId": "550e8400-e29b-41d4-a716-446655440000",
    "nodeHostname": "worker-01",
    "devicePath": "/dev/sda",
    "capacity": 1000,
    "interface": "sata",
    "model": "Samsung 870 EVO",
    "vendor": "Samsung",
    "serial": "S5Y1NF0N123456",
    "isOsd": false,
    "isMon": false,
    "hasFilesystem": true
  }
]

List NICs

GET /nics

Returns all network interfaces across all registered nodes.

Response fields

id UUID
NIC identifier
nodeId UUID
Owning node ID
nodeHostname string
Node hostname
name string
Interface name (e.g. eth0)
mac string
MAC address
ip string
IP address
connected bool
Link is up
mtu int
MTU size
Response
[
  {
    "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
    "nodeId": "550e8400-e29b-41d4-a716-446655440000",
    "nodeHostname": "worker-01",
    "name": "eth0",
    "mac": "00:1a:2b:3c:4d:5e",
    "ip": "10.0.0.101",
    "connected": true,
    "mtu": 1500
  }
]

Report Hardware

POST /node/hardware Internal

Workers call this endpoint to report their hardware inventory (disks and NICs) to the master node. This runs periodically and keeps the master's hardware database up to date.